include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/electronics
  ${CMAKE_SOURCE_DIR}/src/flowparts
  ${CMAKE_SOURCE_DIR}/src/gui
  ${CMAKE_SOURCE_DIR}/src/micro
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### languages (static)

tde_add_library( languages STATIC_PIC AUTOMOC

  SOURCES
        language.cpp languagemanager.cpp microbe.cpp
        externallanguage.cpp gpasm.cpp gpdasm.cpp
        processchain.cpp flowcode.cpp asmparser.cpp
        sdcc.cpp gplink.cpp gplib.cpp sourceline.cpp
        picprogrammer.cpp
  LINK
     gui-static
)
